package com.ruoyi.project.business.service.train;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.business.domain.train.TtFileDatabase;
import com.ruoyi.project.business.domain.vo.train.FileDataVisibleRangeVo;
import com.ruoyi.project.business.domain.vo.train.FileDatabaseReq;
import com.ruoyi.project.business.domain.vo.train.FileDatabaseRes;
import com.ruoyi.project.business.domain.vo.train.FileDatabaseVo;

import java.util.List;
import java.util.Set;

/**
 * @author fangk
 * @description 针对表【tt_file_database】的数据库操作Service
 * @createDate 2024-05-20 15:28:25
 */
public interface ITtFileDatabaseService extends IService<TtFileDatabase> {

    /**
     * 新增
     */
    boolean add(FileDatabaseVo fileDatabaseVo);

    /**
     * 列表查询
     *
     * @param req 查询条件
     */
    List<FileDatabaseRes> selectTtFileDatabaseList(FileDatabaseReq req);

    /**
     * 获取文件类型
     */
    List<TtFileDatabase> getFileTypes();

    /**
     * 删除文件和数据
     * 
     * @param id
     * @return
     */
    boolean removeDirectoryAndData(Long id);

    /**
     * 编辑
     * 
     */
    boolean edit(TtFileDatabase ttFileDatabase);

    boolean editVisibleRange(FileDataVisibleRangeVo fileDataVisibleRangeVo);

    TtFileDatabase selectTtFileDatabaseById(Long trainId);


    /**
     * 根据id获取详情
     */
    // FileDatabaseRes getInfo(Long id);
    
}
